## GogTrendLine

GogTrendLine — Base class for smoothed and regression curves

## Synopsis

    typedef             GogTrendLine;
    typedef             GogTrendLineClass;
    #define             GOG_TREND_LINE_TYPE
    #define             GOG_TREND_LINE                      (o)
    #define             IS_GOG_TREND_LINE                   (o)
    GType               gog_trend_line_get_type             (void);
    GogTrendLine*       gog_trend_line_new_by_name          (char const *id);
    GogTrendLine*       gog_trend_line_new_by_type          (GogTrendLineType const *type);

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogRegCurve
                         +----GogSmoothedCurve

## Description

## Details

### GogTrendLine

    typedef GogStyledObject  GogTrendLine;

### GogTrendLineClass

    typedef GogStyledObjectClass GogTrendLineClass;

### GOG_TREND_LINE_TYPE

    #define GOG_TREND_LINE_TYPE	(gog_trend_line_get_type ())

### GOG_TREND_LINE()

    #define GOG_TREND_LINE(o)	(G_TYPE_CHECK_INSTANCE_CAST ((o), GOG_TREND_LINE_TYPE, GogTrendLine))

`o` : |

### IS_GOG_TREND_LINE()

    #define IS_GOG_TREND_LINE(o)	(G_TYPE_CHECK_INSTANCE_TYPE ((o), GOG_TREND_LINE_TYPE))

`o` : |

### gog_trend_line_get_type ()

    GType               gog_trend_line_get_type             (void);

Returns : |

### gog_trend_line_new_by_name ()

    GogTrendLine*       gog_trend_line_new_by_name          (char const *id);

`id` : |
Returns : |

### gog_trend_line_new_by_type ()

    GogTrendLine*       gog_trend_line_new_by_type          (GogTrendLineType const *type);

`type` : |
Returns : |